Skip to main content
POST
/
v1
/
team
/
teams
Create a new team
curl --request POST \
  --url https://api.example.com/v1/team/teams \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "budgetPoolUsd": 123
}
'
{
  "id": "<string>",
  "tenantId": "<string>",
  "name": "<string>",
  "budgetPoolUsd": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Team name, unique within the tenant

budgetPoolUsd
number | null

Optional budget pool for the team in USD

Response

201 - application/json
id
string
required
tenantId
string
required
name
string
required
budgetPoolUsd
number | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required